CLEANSE(8)

NAME
cleanse - Cleans sorcery system files of lint and accumulated garbage

SYNOPSIS
cleanse [--packages] [--delint [full]] [--tablet [coalesce]] [--tablet_spell spell-name] [--prune [doit]] [--sweep] [--sweep_all] [--fix]

EXAMPLE
To check everything type:

    cleanse

DESCRIPTION
cleanse is part of the sorcery source-code package management suite. It is a command-line tool for fixing and cleaning files maintained by sorcery.

OPTIONS

--packages
    Find bad lines in the list of installed spells. This includes badly formated lines, spells that are installed but don't exist in any grimoires, and duplicate lines.

--delint [full]
    Finds bad dependency lines. This includes badly formated lines, dependencies on spells that aren't installed, and duplicate dependencies. If 'full' is specified, then all lines will be examined, not just lines where at least one of the spells is installed.

--tablet [coalesce]
    Fixes broken tablets, removes orphaned tablets, removes duplicate tablets. If 'coalesce' is specified then duplicate files are hardlinked together, this results in a significant reduction in space. Do not use this if you plan on editing the tablet with an editor that does not break hardlinks.

--tablet_spell spell-name
    Fixes tablet for just the specified spell.

--prune [doit]
    Finds spells that should be installed but aren't, finds spells that shouldn't be installed but are, and Prunes the dependency shrub. If 'doit' is specified, the cast and dispel actions are done for you. Otherwise the suggested commands are given to you at the end to run yourself.

--sweep
    Deletes unnecessary sources and binary caches. Files are kept if any spell/version in any grimoire could use them. This replaces 'gaze prune'

--sweep_all
    Deletes unnecessary sources and binary caches. Only files that could be used by the first occurence of an installed spell are kept.

--fix
    Discover and fix broken spells. Four methods are used to do this. The methods may be toggled using sorcery->Option->Integrity Checking. A fix is automatically issued after a sorcery update.

    Find Check

    Discovers missing binary executables, libraries and header files.

    MD5Sum Check

    Discovers modified executables and libraries.

    Ldd Check

    Discovers Broken executables and libraries.

    Sym Check

    Discovers miss-owned symbolic links to files.

-h, --help
    Display short help.

FILES
The config files can be edited by hand, but it is easier to edit them with sorcery.

/etc/sorcery/config

    Configuration options.

/etc/sorcery/local/config

    Various local settings and compiler optimisation parameters (select with sorcery).

/var/state/sorcery/packages

    Installed spell list

/var/state/sorcery/depends

    Dependency listings for all installed spells

AUTHOR
Original version by Paul Mahon.

Maintained by the Source Mage GNU Linux Team (http://www.sourcemage.org)

REPORTING BUGS
Report bugs to bugzilla <http://bugs.sourcemage.org>

SEE ALSO
dispel(8), gaze(1), grimoire(5), invoke(8), sorcery(8), scribe(8), summon(8), scribbler (8)

WARRANTY
This is free software with ABSOLUTELY NO WARRANTY